Loading...
 

Wineskin Support Forum Help

Forums » Wineskin Support Forum » "OpenGL 3.2 is required to run the engine"

"OpenGL 3.2 is required to run the engine"

Hi all,

I recently downloaded (and have working) steam for PC using wineskin, but cannot play the steam game "Kholat", which is only for PC. I downloaded and installed the game using the PC steam (as the mac steam did not have the option to download the game), but whenever I attempt to play the game, I receive the message "OpenGL 3.2 is required to run the engine."

I am not computer/coding savvy, and am not sure how to approach this problem... but, to my understanding, my mac should be able to run OpenGL 3.2—

Currently using a a MacBook Pro on yosemite (10.10.1) with Intel HD graphics 4000 1024 mb.


Thank you for your time!


Aaron



Using WineskinX11, you are limited to OpenGL 2.1 ... its a current X11 limitation.

If you set the wrapper to use the Mac Driver instead of WineskinX11, you may have more luck for OpenGL 3.2... but I really do not know if the Wine guys made the Mac Driver for Wine support that correctly... I think its still only OpenGL 2.1.



Two new questions: how do I set the wrapper to use the Mac driver instead of wineskin X11? Also, if wineskin does not work, what are some other options for running the pc game on my Mac?

 

Thanks again.

Aaron

 

 



Not sure if my earlier response was posted, so re-posting—

 

I set the wrapper to use the Mac Driver instead of WineskinX11, and encountered the same problem.

 

What are my other options?

 

Thanks again‚

Aaron



Run Windows?  Can dual boot with bootcamp, or might work in a virtual machine like Parallels or VM Ware... but I'm pretty sure you'll have to use Windows in some fashion to run it.



Thank you for the past advice... there is a new problem:

 

I have Windows 7 Home Premium running in both Parallels and VMWare Fusion 7, but whenever I attempt to play Kholat through steam, I receive the error

"failed to open descriptor file /.../Kholat/Kholat.uproject.

 

Any advice/troubleshooting help would be much appreciated—

 

Aaron



you could ask  in parallels/vmware forums



Neither of those VM products support OpenGL 3.2, only 2.1.


Post new message

Attach file Maximum size: 10.00 Mb
Post new reply

Show posts: